Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Fri, 21 Sep 2018 08:34:18 +0200

> 0. emacs -Q
 >
 > 1. C-h e
 >
 > 2. C-x o
 >
 > 3. C-x 2
 >
 > 4. C-x 0
 >
 > It's expected that point will remain where it was visually on the screen,

That screen position will not show any buffer text after C-x 0.  How
do you want the cursor (I suppose that's what "point" refers to)
remain there?

 > just will relocate to the window that takes place of the deleted window,
 > but point jumps to an unexpected place in the opposite part of the frame.
 >
 > This is not a regression, but nevertheless very annoying behavior.

What should Emacs do instead?

martin